routes/web.php
<?php

use Illuminate\Support\Facades\Route;
// use App\Http\Controllers\HomeController;
use App\Http\Controllers\WelcomeController;
use App\Http\Controllers\NotificationController;

use App\Http\Controllers\Admin\DashboardController;
use App\Http\Controllers\Admin\ProfileController;

use App\Http\Controllers\Admin\FloorController;
use App\Http\Controllers\Admin\SectorController;
use App\Http\Controllers\Admin\DeskController;
use App\Http\Controllers\Admin\UserController;
use App\Http\Controllers\Admin\SubscriptionController;
use App\Http\Controllers\Admin\OrderController;

use App\Http\Controllers\Admin\BookingController;
use App\Http\Controllers\Admin\AssessmentController;

use App\Http\Controllers\User\PageController;
use App\Http\Controllers\User\ProfileuController;
use App\Http\Controllers\User\BuyController;
use App\Http\Controllers\User\DashboarduController;
use App\Http\Controllers\User\HistoryController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', [PageController::class, 'welcome']);
// Route::get('/dashboard/{username}',[PageController::class, 'dashboard']);

Route::get('/admin', [WelcomeController::class, 'index'])->name('welcome');
Route::get('/synapsis', [WelcomeController::class, 'synapsis']);
Route::get('/activitymonth', [WelcomeController::class, 'activityMonth']);
Route::get('/logmonth', [WelcomeController::class, 'logMonth']);
// Route::get('/notification', [UserController::class, 'notification']);

Auth::routes();

Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');

$router->group(['prefix' => 'user', 'middleware' => 'is_user'], function () use ($router) {
    Route::get('profile', [ProfileuController::class, 'index'])->name('user.profile.index');
    Route::post('profile/{user}', [ProfileuController::class, 'update'])->name('user.profile.update');

    Route::get('dashboard/', [DashboarduController::class, 'index'])->name('user.dashboard');

    Route::get('history/', [HistoryController::class, 'index'])->name('user.history');
    Route::get('history/{id}', [HistoryController::class, 'show'])->name('user.history.show');

    Route::get('buy/', [BuyController::class, 'index'])->name('user.buy');
    Route::post('buy/store', [BuyController::class, 'store'])->name('user.buy.store');
});

$router->group(['prefix' => 'admin', 'middleware' => 'is_admin'], function () use ($router) {
    Route::get('dashboard', [DashboardController::class, 'index'])->name('admin.dashboard');

    Route::get('profile', [ProfileController::class, 'index'])->name('profile.index');
    Route::post('profile/{user}', [ProfileController::class, 'update'])->name('profile.update');

    Route::resource('user', UserController::class);
    Route::resource('subscription', SubscriptionController::class);
    Route::resource('order', OrderController::class);

    Route::get('floor/list', [FloorController::class, 'list'])->name('floor.list');
    Route::resource('floor', FloorController::class);

    Route::get('floor/{floor}/sector/list', [SectorController::class, 'list'])->name('floor.sector.list');
    Route::resource('floor.sector', SectorController::class);

    Route::get('floor/{floor}/sector/{sector}/desk/list', [DeskController::class, 'list'])->name('floor.sector.desk.list');
    Route::resource('floor.sector.desk', DeskController::class);

    Route::get('booking', [BookingController::class, 'index'])->name('booking.index');
    Route::get('booking/{booking}', [BookingController::class, 'show'])->name('booking.show');
    Route::get('booking/{booking}/checkout', [BookingController::class, 'checkout'])->name('booking.checkout');

    Route::get('assessment', [AssessmentController::class, 'index'])->name('assessment.index');
});

app/Http/Controllers/Admin/UserController.php
<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\User;
use App\Models\Notification;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;

class UserController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $users = User::all();
        foreach ($users as $user) {
            if (empty($user->phone)) {
                $user->phone = '-';
            }
            $user->role = ucfirst($user->role);
        }
        return view('admin.user.index', compact('users'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('admin.user.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        // rules validator
        $validate = $request->validate([
            'name'      => ['required', 'string', 'max:255'],
            'username'  => ['required', 'string', 'max:255', 'unique:users', 'alpha_dash'],
            'email'     => ['required', 'string', 'email', 'max:255', 'unique:users'],
            'phone'     => ['numeric', 'digits_between:11,13', 'nullable'],
            'password'  => ['required', 'string', 'min:8', 'confirmed'],
        ]);

        $user = User::create([
            'name'      => $request->name,
            'username'  => $request->username,
            'email'     => $request->email,
            'phone'     => $request->phone,
            'password'  => Hash::make($request->password),
            'role'      => $request->role,
        ]);

        return redirect()->route('user.index')
            ->with('success', 'User created successfully');
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\User  $user
     * @return \Illuminate\Http\Response
     */
    public function show(User $user)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\User  $user
     * @return \Illuminate\Http\Response
     */
    public function edit(User $user)
    {
        // $media = $user->getMedia();
        return view('admin.user.edit')->with(compact('user'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\User  $user
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, User $user)
    {
        // rules validator
        if ($user->username != $request->username) {
            $validate = $request->validate([
                'username'  => ['required', 'string', 'max:255', 'unique:users', 'alpha_dash'],
            ]);
        }

        if ($user->email != $request->email) {
            $validate = $request->validate([
                'email'     => ['required', 'string', 'email', 'max:255', 'unique:users'],
            ]);
        }

        // if ($request->password) {
        //     $validate = $request->validate([
        //         'password'  => ['required', 'string', 'min:8', 'confirmed'],
        //     ]);
        //     $request->password = Hash::make($request->password);
        // }

        $validate = $request->validate([
            'name'      => ['required', 'string', 'max:255'],
            'username'  => ['required', 'string', 'max:255', 'alpha_dash'],
            'email'     => ['required', 'string', 'email', 'max:255'],
            'phone'     => ['numeric', 'digits_between:11,13', 'nullable'],
        ]);
        $user->update($request->all());

        return redirect()->route('user.index')
            ->with('success', 'User updated successfully');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\User  $user
     * @return \Illuminate\Http\Response
     */
    public function destroy(User $user)
    {
        $user->delete();

        return redirect()->route('user.index')
            ->with('success', 'Floor deleted successfully');
    }

    // public function notification()
    // {
    //     $users = User::all();

    //     $types = [
    //         'booking_create',
    //         'booking_checkin',
    //         'booking_checkout',
    //         'booking_checkoutAuto',
    //         'booking_checkoutAdmin',
    //         'booking_cancel',
    //         'assessment_create',
    //     ];

    //     foreach ($users as $user) {
    //         foreach ($types as $type) {
    //             // store new booking time
    //             $notification = new Notification();
    //             $notification->type     = $type;
    //             $notification->is_mail  = 1;
    //             $notification->is_push  = 1;
    //             $user->notification()->save($notification);
    //         }
    //     }

    //     return 'success';
    // }
}

app/Http/Controllers/User/BuyController.php
<?php

namespace App\Http\Controllers\User;

use App\Http\Controllers\Controller;
use App\Models\Order;
use App\Models\Subscription;
use Illuminate\Http\Request;

use App\Services\Midtrans\CreateSnapTokenService;
use App\Services\Midtrans\CallbackService;
use Carbon\Carbon;

use Midtrans\Transaction;

class BuyController extends Controller
{
    public function index()
    {
        $subscriptions = Subscription::get();
        foreach ($subscriptions as $subscription) {
            $now = Carbon::now();
            if ($subscription->unit == 'day') {
                $now->addDays($subscription->duration);
            } elseif ($subscription->unit == 'week') {
                $now->addWeeks($subscription->duration);
            } elseif ($subscription->unit == 'month') {
                $now->addMonth($subscription->duration);
            } else {
                $now->addYears($subscription->duration);
            }
            $subscription->estimate = $now->format('Y-m-d H:i');
        }
        return view('user.buy')->with(compact('subscriptions'));
    }

    public function store(Request $request)
    {
        // create new order
        $order = Order::create([
            'user_id'           => $request->user_id,
            'subscription_id'   => $request->subscription_id,
            'order_id'          => 'OR' . Carbon::now()->format('YmdHis'),
            'total_price'       => $request->price,
            'payment_status'    => 'unpaid',
        ]);

        // will generate new snapToken
        $midtrans = new CreateSnapTokenService($order);
        $snapToken = $midtrans->getSnapToken();
        $order->snap_token = $snapToken;
        $order->save();

        return redirect()->route('user.history')
            ->with('success', 'Order created successfully.');
    }
}

app/Http/Controllers/User/DashboarduController.php
<?php

namespace App\Http\Controllers\User;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Order;
use Carbon\Carbon;

use Illuminate\Support\Facades\Auth;

use App\Services\Midtrans\CreateSnapTokenService;
use App\Services\Midtrans\CallbackService;

class DashboarduController extends Controller
{
    public function index()
    {
        $now = Carbon::now();

        $order = Order::whereDate('end_date', '>', $now->toDateString())->where('user_id', Auth::user()->id)->first();
        $snapToken = "";
        try {
            //code...
            $snapToken = $order->snap_token;
            if (empty($snapToken)) {
                // will generate new snapToken
                $midtrans = new CreateSnapTokenService($order);
                $snapToken = $midtrans->getSnapToken();

                $order->snap_token = $snapToken;
                $order->save();
            }

            if (
                $order->payment_status == 'unpaid'
                || $order->payment_status == 'pending'
                || $order->payment_status == 'capture'
                || $order->payment_status == 'authorize'
                // || $order->payment_status == 'settlement' // small percentage to change
            ) {
                // will get callback
                $midtrans = new CallbackService($order);
                $order->status = $midtrans->getStatus();
                $this->update($order);
            }
        } catch (\Throwable $th) {
            //throw $th;
        }

        return view('user.dashboard', compact('order', 'snapToken'));
    }
}

app/Http/Controllers/User/HistoryController.php
<?php

namespace App\Http\Controllers\User;

use App\Http\Controllers\Controller;
use App\Models\Order;
use App\Models\Subscription;
use Illuminate\Http\Request;

use App\Services\Midtrans\CreateSnapTokenService;
use App\Services\Midtrans\CallbackService;
use Carbon\Carbon;

use Midtrans\Transaction;

use Illuminate\Support\Facades\Auth;

class HistoryController extends Controller
{
    public function index()
    {
        $orders = Order::where('user_id', Auth::user()->id)->orderBy('created_at', 'desc')->get();

        foreach ($orders as $order) {
            if (
                $order->payment_status == 'unpaid'
                || $order->payment_status == 'pending'
                || $order->payment_status == 'capture'
                || $order->payment_status == 'authorize'
                // || $order->payment_status == 'settlement' // small percentage to change
            ) {
                // will get callback
                $midtrans = new CallbackService($order);
                $order->status = $midtrans->getStatus();
                $this->update($order);
            }
        }

        return view('user.history.index')->with(compact('orders'));
    }

    public function update($order_in)
    {
        $order = Order::where('order_id', $order_in->order_id)->first();
        $unit = $order->subscription->unit;
        $duration = $order->subscription->duration;
        $status = $order->payment_status;

        try {
            $transaction_status = $order_in->status->transaction_status;
            if ($transaction_status != $status) {
                if ($transaction_status == 'settlement') {
                    $settlement_time = $order_in->status->settlement_time;
                    $payment_date = Carbon::parse($settlement_time);
                    $end_date = Carbon::parse($settlement_time);

                    if ($unit == 'day') {
                        $end_date->addDays($duration);
                    } elseif ($unit == 'week') {
                        $end_date->addWeeks($duration);
                    } elseif ($unit == 'month') {
                        $end_date->addMonth($duration);
                    } else {
                        $end_date->addYears($duration);
                    }
                    $order->payment_date = $payment_date;
                    $order->end_date = $end_date;
                }

                // save new data
                $order->payment_status = $transaction_status;
                $order->save();
            }
        } catch (\Throwable $th) {
            //throw $th;
            // $transaction_status = $order->payment_status;
            // $payment_date = NULL;
            // $end_date = NULL;
        }
        return true;
    }

    public function show($order)
    {
        $order = Order::where('id', $order)->first();
        $snapToken = $order->snap_token;
        if (empty($snapToken)) {
            // will generate new snapToken
            $midtrans = new CreateSnapTokenService($order);
            $snapToken = $midtrans->getSnapToken();

            $order->snap_token = $snapToken;
            $order->save();
        }

        if (
            $order->payment_status == 'unpaid'
            || $order->payment_status == 'pending'
            || $order->payment_status == 'capture'
            || $order->payment_status == 'authorize'
            // || $order->payment_status == 'settlement' // small percentage to change
        ) {
            // will get callback
            $midtrans = new CallbackService($order);
            $order->status = $midtrans->getStatus();
            $this->update($order);
        }

        return view('user.history.show', compact('order', 'snapToken'));
    }
}

app/Http/Controllers/User/PageController.php
<?php

namespace App\Http\Controllers\User;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Models\Subscription;

class PageController extends Controller
{
    public function welcome()
    {
        $pricings = Subscription::get()->all();
        return view('user.welcome')->with(compact('pricings'));
    }

    public function dashboard()
    {
        return view('user.dashboard');
    }
}

resources/views/admin/user/create.blade.php
@extends('admin.layouts.admin')

@section('content')
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{{ route('user.index') }}">User List</a></li>
            <li class="breadcrumb-item active" aria-current="page">New User</li>
        </ol>
    </nav>

    <div class="row">
        <div class="col"></div>
        <div class="col-lg-6">
            <div class="card shadow mb-4">
                <div class="card-header py-3">
                    <h5 class="m-0 font-weight-bold text-primary">Create New User</h5>
                </div>
                <div class="card-body">
                    @if (count($errors) > 0)
                        <p class="card-description">
                        <div class="alert alert-danger">
                            <ul>
                                @foreach ($errors->all() as $error)
                                    <li>{{ $error }}</li>
                                @endforeach
                            </ul>
                        </div>
                        </p>
                    @endif
                    <form action="{{ route('user.store') }}" method="POST">
                        @csrf
                        <div class="form-group">
                            <label for="name">Name</label>
                            <input type="text" class="form-control" id="name" name="name" value="{{ old('name') }}"
                                autofocus>
                        </div>
                        <div class="form-group">
                            <label for="username">Username</label>
                            <input type="text" class="form-control" id="username" name="username"
                                value="{{ old('username') }}">
                        </div>
                        <div class="form-group">
                            <label for="email">Email</label>
                            <input type="email" class="form-control" id="email" name="email" value="{{ old('email') }}">
                        </div>
                        <div class="form-group">
                            <label for="phone">Phone</label>
                            <input type="text" class="form-control" id="phone" name="phone" value="{{ old('phone') }}">
                        </div>
                        <div class="form-group">
                            <label for="password">Password</label>
                            <input type="password" class="form-control" id="password" name="password">
                        </div>
                        <div class="form-group">
                            <label for="password-confirm">Confirm Password</label>
                            <input type="password" class="form-control" id="password-confirm"
                                name="password_confirmation">
                        </div>
                        <div class="form-group">
                            <label for="role">Role</label>
                            <select class="form-control" name="role" id="">
                                <option value="admin">Admin</option>
                                <option value="user">User</option>
                            </select>
                        </div>
                        <div class="row mb-1">
                            <div class="col">
                                <div class="d-flex justify-content-end text-align-center flex-column flex-md-row">
                                    <a type="button" href="javascript:;" onclick="history.back()"
                                        class="btn btn-outline-secondary mb-2 mb-lg-0 mb-md-0 mr-0 mr-md-2 mr-lg-2">Cancel</a>
                                    <button type="submit" class="btn btn-primary"><strong>Create</strong></button>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
        <div class="col"></div>
    </div>
@endsection

resources/views/admin/user/edit.blade.php
@extends('admin.layouts.admin')

@section('content')
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{{ route('user.index') }}">User List</a></li>
            <li class="breadcrumb-item active" aria-current="page">{{ $user->name }}</li>
        </ol>
    </nav>

    <div class="row">
        <div class="col"></div>
        <div class="col-lg-6">
            <div class="card shadow mb-4">
                <div class="card-header py-3">
                    <h5 class="m-0 font-weight-bold text-primary">Edit User</h5>
                </div>
                <div class="card-body">
                    @if (count($errors) > 0)
                        <p class="card-description">
                        <div class="alert alert-danger">
                            <ul>
                                @foreach ($errors->all() as $error)
                                    <li>{{ $error }}</li>
                                @endforeach
                            </ul>
                        </div>
                        </p>
                    @endif
                    <form action="{{ route('user.update', $user->id) }}" method="POST">
                        @csrf
                        @method('PUT')
                        <div class="form-group">
                            <label for="name">Name</label>
                            <input type="text" class="form-control" id="name" name="name" autofocus
                                value="{{ old('name') ? old('name') : $user->name }}" required>
                        </div>
                        <div class="form-group">
                            <label for="username">Username</label>
                            <input type="text" class="form-control" id="username" name="username"
                                value="{{ old('username') ? old('username') : $user->username }}" required>
                        </div>
                        <div class="form-group">
                            <label for="email">Email</label>
                            <input type="email" class="form-control" id="email" name="email"
                                value="{{ old('email') ? old('email') : $user->email }}" required>
                        </div>
                        <div class="form-group">
                            <label for="phone">Phone</label>
                            <input type="text" class="form-control" id="phone" name="phone"
                                value="{{ old('phone') ? old('phone') : $user->phone }}">
                        </div>
                        <div class="form-group">
                            <label for="role">Role</label>
                            <select class="form-control" name="role" id="" required>
                                <option value="admin" {{ $user->role == 'admin' ? 'selected' : '' }}>Admin</option>
                                <option value="user" {{ $user->role == 'user' ? 'selected' : '' }}>User</option>
                            </select>
                        </div>
                        <div class="row mb-1">
                            <div class="col">
                                <div class="d-flex justify-content-end text-align-center flex-column flex-md-row">
                                    <a type="button" href="javascript:;" onclick="history.back()"
                                        class="btn btn-outline-secondary mb-2 mb-lg-0 mb-md-0 mr-0 mr-md-2 mr-lg-2">Cancel</a>
                                    <button type="submit" class="btn btn-primary"><strong>Update</strong></button>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
        <div class="col"></div>
    </div>
@endsection

resources/views/admin/user/index.blade.php
@extends('admin.layouts.admin')

@section('style')
    {{-- Datatables --}}
    <link href="{{ asset('datatables/dataTables.bootstrap4.min.css') }}" rel="stylesheet" type="text/css">
    <link href="{{ asset('datatables/responsive/css/responsive.bootstrap4.min.css') }}" rel="stylesheet" type="text/css">
    <style>
        #table {
            table-layout: fixed;
            /* width: 99% !important; */
            /* width: 97% !important; */
        }

        .card-text {
            white-space: nowrap;
            overflow: hidden;
            text-overflow: ellipsis;
        }

        .btn-secondary:hover,
        .btn-secondary:focus,
        .btn-secondary:active,
        .btn-secondary.active,
        .open>.dropdown-toggle.btn-secondary {
            background-color: #366bbd;
        }
    </style>
@endsection

@section('content')
    @if ($message = Session::get('success'))
        <div class="alert alert-dismissable alert-success">
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
            <span>{{ $message }}</span>
        </div>
    @elseif ($message = Session::get('error'))
        <div class="alert alert-dismissable alert-danger">
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
            <span>{{ $message }}</span>
        </div>
    @endif

    <div class="row">

        <div class="col">
            <div class="card shadow mb-4">
                <div class="card-header"><strong>User List</strong></div>
                <div class="card-body">

                    <a href="{{ route('user.create') }}" type="button" class="btn btn-primary"
                        style="margin-bottom: 15px;"><i class="fas fa-plus"></i> Create New</a>

                    <div class="table-responsive">
                        <table class="table table-bordered display nowrap" id="table" width="100%" cellspacing="0">
                            <thead>
                                <tr>
                                    <th width="4%">#</th>
                                    <th>Name</th>
                                    <th>Email</th>
                                    <th>Phone</th>
                                    <th>Role</th>
                                    <th width="9%">Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                @forelse ($users as $user)
                                    <tr>
                                        <td>{{ $loop->iteration }}</td>
                                        <td>{{ $user->name }}</td>
                                        <td>{{ $user->email }}</td>
                                        <td>{{ $user->phone }}</td>
                                        <td>{{ $user->role }}</td>
                                        <td>
                                            <a href="{{ route('user.edit', $user->id) }}"
                                                class="btn btn-warning btn-circle mb-1">
                                                <i class="fas fa-edit"></i>
                                            </a>
                                            <a href="#" class="btn btn-danger btn-circle mb-1" data-toggle="modal"
                                                data-target="#deleteModal" data-id="{{ $user->id }}">
                                                <i class="fas fa-trash"></i>
                                            </a>
                                        </td>
                                    </tr>
                                @empty
                                @endforelse
                            </tbody>
                        </table>
                    </div>

                </div>
            </div>
        </div>

    </div>

    <!-- Modal -->
    <div id="deleteModal" class="modal fade" role="dialog">
        <div class="modal-dialog">
            <!-- Modal content-->
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Delete</h5>
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                </div>
                <div class="modal-body">
                    <p>Are you sure want to delete this user?</p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-outline-secondary" data-dismiss="modal">No</button>
                    <form action="#" method="POST" id="deleteForm">
                        @csrf
                        @method('DELETE')
                        <button type="submit" class="btn btn-danger" id="delete-btn"><strong>Yes, delete</strong></button>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection

@section('script')
    {{-- Datatable --}}
    <script src="{{ asset('datatables/jquery.dataTables.min.js') }}"></script>
    <script src="{{ asset('datatables/dataTables.bootstrap4.min.js') }}"></script>
    <script src="{{ asset('datatables/responsive/js/dataTables.responsive.min.js') }}"></script>
    <script src="{{ asset('datatables/responsive/js/responsive.bootstrap4.min.js') }}"></script>
    <script src="{{ asset('datatables/sorting/natural.js') }}"></script>
    <script type="text/javascript">
        $(document).ready(function() {
            table = $('#table').DataTable({
                columnDefs: [{
                    type: 'natural',
                    targets: 1
                }, {
                    orderable: false,
                    targets: 5
                }, ],
                // order: [
                //     [1, 'desc']
                // ],
            });
        })

        $('#deleteModal').on('show.bs.modal', function(event) {
            var button = $(event.relatedTarget); // Button that triggered the modal
            var id = button.data('id'); // Extract info from data-* attributes
            // Update the modal's content. We'll use jQuery here, but you could use a data binding library or other methods instead.
            var modal = $(this);
            var form = document.getElementById("deleteForm");
            let url = "{{ route('user.destroy', ':id') }}";
            url = url.replace(':id', id);
            form.action = url;
        })
    </script>
@endsection